TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

DryReplaceOrAdd_ ( dry D, any source, any target )

### Description

<shortdoc> Replace `source' in `D' by `target'.
If `source' is in `D' it is removed and `target' is added such that the result stays a dry.
If `source' is not in `D' then `target' is added such that the result stays a dry.
Note: Technically this is nothing but
DryRemove_(D,source);
DryAdd_(D,target);
but it is more efficient since the dry is often not resized. </shortdoc>

### See also

DryReplace_ ( dry, any, any ) -> dry

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack